package com.jesuscb.footcoach.model.firebase.auth

import com.google.android.gms.tasks.Task
import com.google.firebase.auth.AuthResult
import com.google.firebase.auth.FirebaseUser

interface IAuthInteractor{

    fun login(user:String, pass:String) : Task<AuthResult>

    fun sessionActived() : Boolean

    fun getCurrentUser() : FirebaseUser?

    fun signOut()
}