package com.jesuscb.footcoach.model.firebase.exercise

import com.google.firebase.database.ValueEventListener
import com.jesuscb.footcoach.model.Exercise

interface IExerciseInteractor {

    fun getExercises(exercisesListener: ValueEventListener)

    fun saveExercises(exercises: MutableList<Exercise>)

    fun saveExercise(exercise: Exercise)

    fun updateExercise(exercise: Exercise)

    fun getExercise(id: String, exerciseListener: ValueEventListener)

    fun getExercises(exercises: ArrayList<String>, exercisesListener: ValueEventListener)

    fun deleteExercise(id_exercise: String)
}