package com.jesuscb.footcoach.model.firebase.match

import com.google.firebase.database.ValueEventListener
import com.jesuscb.footcoach.model.Match
import com.jesuscb.footcoach.model.Player

interface IMatchInteractor {

    fun getMatchs(matchListener: ValueEventListener)

    fun getMatch(id: String, matchListener: ValueEventListener)

    fun saveMatch(match: Match): Match

    fun updateMatch(match: Match)

    fun deletePlayerFromMatch(playerId: String, matchId: String)

    fun addSelectedPlayersToMatch(selectedPlayers: ArrayList<Player>, matchId: String)

    fun deleteMatch(match: Match)
}