package com.jesuscb.footcoach.model.firebase.player

import com.google.firebase.database.ValueEventListener
import com.jesuscb.footcoach.model.Player

interface IPlayerInteractor {

    fun getPlayers(playersListener: ValueEventListener)

    fun savePlayers(players: MutableList<Player>)

    fun savePlayer(player: Player)

    fun getPlayer(id: String, playerListener: ValueEventListener)

    fun updatePlayer(player: Player)

    fun getPlayers(players: ArrayList<String>, playersListener: ValueEventListener)

    fun deletePlayer(id_player: String)
}