package com.jesuscb.footcoach.view.exercise

import com.jesuscb.footcoach.model.Exercise

interface ExerciseListView {

    fun updateList(exerciseList: MutableList<Exercise>)

    fun initialise()

    fun initialiseExerciseListTrainingDetail()

    fun showRefreshProgressBar()

    fun hideRefreshProgressBar()

    fun addItemToList(exercise: Exercise)

    fun initialiseExerciseListAddToTraining()

    fun informExercisesIgnored(exercisesToIgnore: ArrayList<Exercise>)

    fun showErrorDeletingExercise()

    fun showSuccessDeletingExercise()
}