package com.jesuscb.footcoach.view.player

import com.jesuscb.footcoach.model.Match
import com.jesuscb.footcoach.model.Player
import com.jesuscb.footcoach.model.Training

interface PlayerCRUDView{

    fun initialise()

    fun playerModified()

    fun playerNotModified()

    fun updateDetailsPlayer(player: Player)

    fun hideProgressBar()

    fun showProgressBar()
    fun updateDetailsPlayerTrainings(trainings: ArrayList<Training>)
    fun updateDetailsPlayerMatchs(matchs: ArrayList<Match>)
}