package com.jesuscb.footcoach.view.player

import com.jesuscb.footcoach.model.Player

interface PlayerListView {

    fun updateList(playerList: MutableList<Player>)

    fun initialise()

    fun showRefreshProgressBar()

    fun hideRefreshProgressBar()

    fun initialisePlayerListTrainingDetail()

    fun addItemToList(player: Player)

    fun initialisePlayerListAddToTraining()

    fun informPlayersIgnored(playersToIgnore: ArrayList<Player>)

    fun showErrorDeletingPlayer()
    
    fun showSuccessDeletingPlayer()
}